apiVersion: apps/v1
kind: Deployment
metadata:
  name: hhb-mesh
  labels:
    name: hhb-mesh
spec:
  replicas: 1
  selector:
    matchLabels:
      name: hhb-mesh
  template:
    metadata:
      labels:
        name: hhb-mesh
    spec:
      containers:
        - name: hhb-mesh
          image: mesh
          imagePullPolicy: Always
          envFrom:
            - configMapRef:
                name: log-config
          ports:
            - name: http
              containerPort: 4000
              protocol: TCP
          startupProbe:
            httpGet:
              path: /healthcheck
              port: http
            periodSeconds: 10
            failureThreshold: 60
          livenessProbe:
            httpGet:
              path: /healthcheck
              port: http
            periodSeconds: 10
          readinessProbe:
            httpGet:
              path: /readiness
              port: http
            periodSeconds: 10
          resources:
            requests:
              memory: 700Mi
          env:
            - name: HHB_LOG_SERVICE_URL
              value: "hhb-logservice:80"
            - name: HHB_BACKEND_URL
              value: "http://hhb-backend/api/graphql"
            - name: HHB_ALARM_SERVICE_URL
              value: "hhb-alarmenservice:80"
            - name: HHB_BANK_SERVICE_URL
              value: "hhb-banktransactieservice:80"
            - name: HHB_NOTIFICATION_SERVICE_URL
              value: "http://hhb-notificationservice/graphql"
            - name: HHB_PARTY_SERVICE_URL
              value: "hhb-partyservice:80"
            - name: HHB_HHB_SERVICE_URL
              value: "hhb-hhbservice:80"
